from cargo import Cargo

cargo = Cargo(id = 'grain',
              number = '6',
              type_name = 'TTD_STR_CARGO_PLURAL_GRAIN',
              unit_name = 'TTD_STR_CARGO_SINGULAR_GRAIN',
              type_abbreviation = 'TTD_STR_ABBREV_GRAIN',
              sprite = 'NEW_CARGO_SPRITE',
              weight = '1.0',
              station_list_colour = '191',
              cargo_payment_list_colour = '191',
              is_freight = '1',
              cargo_classes = 'bitmask(CC_BULK)',
              cargo_label = '"GRAI"',
              town_growth_effect = 'TOWNGROWTH_NONE',
              town_growth_multiplier = '1.0',
              units_of_cargo = 'TTD_STR_TONS',
              items_of_cargo = 'TTD_STR_QUANTITY_GRAIN',
              penalty_lowerbound = 'choose_parameter(4,EARLY_DELIVERY_TIME_LARGEMAP_GRAIN)',
              single_penalty_length = 'choose_parameter(40,LATE_DELIVERY_TIME_LARGEMAP_GRAIN)',
              price_factor = 'choose_parameter(116,CARGO_PAYMENT_LARGEMAP_GRAIN)',
              capacity_multiplier = '1',
              icon_indices = (6, 0))

cargo.economy_variations['BASIC_TEMPERATE']['disabled'] = True
cargo.economy_variations['BASIC_TROPIC']['disabled'] = True
