from cargo import Cargo

cargo = Cargo(id = 'sand',
              number = '17',
              type_name = 'string(STR_CARGO_NAME_SAND)',
              unit_name = 'string(STR_CARGO_NAME_SAND)',
              type_abbreviation = 'string(STR_CID_SAND)',
              sprite = 'NEW_CARGO_SPRITE',
              weight = '1.0',
              station_list_colour = '190',
              cargo_payment_list_colour = '190',
              is_freight = '1',
              cargo_classes = 'bitmask(CC_BULK)',
              cargo_label = '"SAND"',
              town_growth_effect = 'TOWNGROWTH_NONE',
              town_growth_multiplier = '1.0',
              units_of_cargo = '80',
              items_of_cargo = 'string(STR_CARGO_UNIT_SAND)',
              penalty_lowerbound = 'choose_parameter(30,EARLY_DELIVERY_TIME_LARGEMAP_SAND)',
              single_penalty_length = '255',
              capacity_multiplier = '1',
              price_factor = 'choose_parameter(73,CARGO_PAYMENT_LARGEMAP_SAND)',
              icon_indices = (0, 1))

cargo.economy_variations['BASIC_ARCTIC']['disabled'] = True
cargo.economy_variations['BASIC_TROPIC']['disabled'] = True
cargo.economy_variations['MISTAH_KURTZ']['disabled'] = True
