from cargo import Cargo

cargo = Cargo(id = 'bauxite',
              number = '27',
              type_name = 'string(STR_CARGO_NAME_BAUXITE)',
              unit_name = 'string(STR_CARGO_NAME_BAUXITE)',
              type_abbreviation = 'string(STR_CID_BAUXITE)',
              sprite = 'NEW_CARGO_SPRITE',
              weight = '1.0',
              station_list_colour = '84',
              cargo_payment_list_colour = '84',
              is_freight = '1',
              cargo_classes = 'bitmask(CC_BULK)',
              cargo_label = '"AORE"',
              town_growth_effect = 'TOWNGROWTH_NONE',
              town_growth_multiplier = '1.0',
              units_of_cargo = '80',
              items_of_cargo = 'string(STR_CARGO_UNIT_BAUXITE)',
              penalty_lowerbound = 'choose_parameter(30,EARLY_DELIVERY_TIME_LARGEMAP_BAUXITE)',
              single_penalty_length = '255',
              price_factor = 'choose_parameter(83,CARGO_PAYMENT_LARGEMAP_BAUXITE)',
              capacity_multiplier = '1',
              icon_indices = (13, 1))

cargo.economy_variations['BASIC_TEMPERATE']['disabled'] = True
cargo.economy_variations['BASIC_ARCTIC']['disabled'] = True
cargo.economy_variations['MISTAH_KURTZ']['disabled'] = True
