from cargo import Cargo

cargo = Cargo(id = 'coal',
              number = '1',
              type_name = 'TTD_STR_CARGO_PLURAL_COAL',
              unit_name = 'TTD_STR_CARGO_SINGULAR_COAL',
              type_abbreviation = 'TTD_STR_ABBREV_COAL',
              sprite = 'NEW_CARGO_SPRITE',
              weight = '1.0',
              station_list_colour = '0',
              cargo_payment_list_colour = '0',
              is_freight = '1',
              cargo_classes = 'bitmask(CC_BULK)',
              cargo_label = '"COAL"',
              town_growth_effect = 'TOWNGROWTH_NONE',
              town_growth_multiplier = '1.0',
              units_of_cargo = 'TTD_STR_TONS',
              items_of_cargo = 'TTD_STR_QUANTITY_COAL',
              penalty_lowerbound = 'choose_parameter(30,EARLY_DELIVERY_TIME_LARGEMAP_COAL)',
              single_penalty_length = '255',
              price_factor = 'choose_parameter(64,CARGO_PAYMENT_LARGEMAP_COAL)',
              capacity_multiplier = '1',
              icon_indices = (1, 0))

cargo.economy_variations['BASIC_ARCTIC']['disabled'] = True
cargo.economy_variations['BASIC_TROPIC']['disabled'] = True
cargo.economy_variations['MISTAH_KURTZ']['disabled'] = True
